<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>Chapter 2. Interfaces</title><link rel="stylesheet" type="text/css" href="style.css"><meta name="generator" content="DocBook XSL Stylesheets Vsnapshot"><link rel="home" href="index.html" title="Problems API"><link rel="up" href="pt01.html" title="Part I. D-Bus API Reference"><link rel="prev" href="ch01.html" title="Chapter 1. Object Paths"><link rel="next" href="re01.html" title="org.freedesktop.Problems2"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Chapter 2. Interfaces</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch01.html">Prev</a> </td><th width="60%" align="center">Part I. D-Bus API Reference</th><td width="20%" align="right"> <a accesskey="n" href="re01.html">Next</a></td></tr></table><hr></div><div class="chapter"><div class="titlepage"><div><div><h2 class="title"><a name="interfaces"></a>Chapter 2. Interfaces</h2></div></div></div><div class="toc"><dl class="toc"><dt><span class="refentrytitle"><a href="re01.html">
          <code class="literal">org.freedesktop.Problems2</code>
        </a></span><span class="refpurpose"> — The Problems Service manages all the crashes.</span></dt><dt><span class="refentrytitle"><a href="re02.html">
          <code class="literal">org.freedesktop.Problems2.Entry</code>
        </a></span><span class="refpurpose"> — The Entry represents single problem.</span></dt><dt><span class="refentrytitle"><a href="re03.html">
          <code class="literal">org.freedesktop.Problems2.Session</code>
        </a></span><span class="refpurpose"> — Session objects hold information about identity of clients. A session object is created automatically when a new client makes connection. Clients are treated as an anonymous users until they are authorized in 'Authorize' method.</span></dt><dt><span class="refentrytitle"><a href="re04.html">
          <code class="literal">org.freedesktop.Problems2.Task</code>
        </a></span><span class="refpurpose"> — Represents an long running task</span></dt></dl></div>
    
    
    
    
    
  </div><div class="navfooter"><hr><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="ch01.html">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="pt01.html">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="re01.html">Next</a></td></tr><tr><td width="40%" align="left" valign="top">Chapter 1. Object Paths </td><td width="20%" align="center"><a accesskey="h" href="index.html">Home</a></td><td width="40%" align="right" valign="top"> 
          <code class="literal">org.freedesktop.Problems2</code>
        </td></tr></table></div></body></html>
